OTBCLI_EXTRACTROI(1)

NAME
otbcli_ExtractROI - OTB ExtractROI application

DESCRIPTION
This is the ExtractROI application, version 5.2.0 Extract a ROI defined by the user.

Complete documentation: http://www.orfeo-toolbox.org/Applications/ExtractROI.html

  Parameters:

-progress
    <boolean> Report progress

 -in <string> Input Image (mandatory)
 -out <string> [pixel] Output Image [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is float) (mandatory)

-ram
    <int32> Available RAM (Mb) (optional, off by default, default value is 128)

-mode
    <string> Extraction mode [standard/fit] (mandatory, default value is standard)

-mode.fit.ref
    <string> Reference image (mandatory)

-mode.fit.elev.dem
    <string> DEM directory (optional, off by default)

-mode.fit.elev.geoid
    <string> Geoid File (optional, off by default)

-mode.fit.elev.default <float>
    Default elevation (mandatory, default value is 0)

-startx
    <int32> Start X (mandatory, default value is 0)

-starty
    <int32> Start Y (mandatory, default value is 0)

-sizex
    <int32> Size X (mandatory, default value is 0)

-sizey
    <int32> Size Y (mandatory, default value is 0)

-cl <string list> Output Image channels (mandatory, default value is )

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbcli_ExtractROI -in VegetationIndex.hd -startx 40 -starty 250 -sizex 150 -sizey 150 -out ExtractROI.tif

SEE ALSO
The full documentation for otbcli_ExtractROI is maintained as a Texinfo manual. If the info and otbcli_ExtractROI programs are properly installed at your site, the command

    info otbcli_ExtractROI

should give you access to the complete manual.